tests: chk_verbose: Set LIBQUVI_VERBOSE_SCRIPTS
[libquvi-scripts.git] / autogen.sh
blobded86b2fa841f285e0919a918fe739d1bc03429e
1 #!/bin/sh
3 # libquvi-scripts
4 # Copyright (C) 2012 Toni Gundogdu <legatvs@gmail.com>
6 # This file part of libquvi-scripts <http://quvi.sourceforge.net/>.
8 # This program is free software: you can redistribute it and/or
9 # modify it under the terms of the GNU Affero General Public
10 # License as published by the Free Software Foundation, either
11 # version 3 of the License, or (at your option) any later version.
13 # This program is distributed in the hope that it will be useful,
14 # but WITHOUT ANY WARRANTY; without even the implied warranty of
15 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
16 # GNU Affero General Public License for more details.
18 # You should have received a copy of the GNU Affero General
19 # Public License along with this program. If not, see
20 # <http://www.gnu.org/licenses/>.
22 set -e
24 source=.gitignore
25 cachedir=autom4te.cache
27 gen_manual()
29 echo "Generate manual..."
30 MAN=doc/man7/libquvi-scripts.7 ; POD=$MAN.pod ; VN=`./gen-ver.sh`
31 podchecker "$POD" || exit $?
32 pod2man -c "libquvi-scripts manual" -n libquvi-scripts \
33 -s 7 -r "$VN" "$POD" "$MAN"
34 return $?
37 cleanup()
39 echo "WARNING
40 This will remove the files specified in the $source file. This will also
41 remove the $cachedir/ directory with all of its contents.
42 Bail out now (^C) or hit enter to continue."
43 read n1
44 [ -f Makefile ] && make distclean
45 for file in `cat $source`; do # Remove files only.
46 [ -e "$file" ] && [ -f "$file" ] && rm -f "$file"
47 done
48 [ -e "$cachedir" ] && rm -rf "$cachedir"
49 rmdir -p config.aux 2>/dev/null
50 exit 0
53 help()
55 echo "Usage: $0 [-c|-h] [top_srcdir]
56 -c Make the source tree 'maintainer clean'
57 -h Show this help and exit
58 Run without options to (re)generate the configuration files."
59 exit 0
62 while [ $# -gt 0 ]
64 case "$1" in
65 -c) cleanup;;
66 -h) help;;
67 *) break;;
68 esac
69 shift
70 done
72 mkdir -p m4
74 echo "Generate configuration files..."
75 autoreconf -if && gen_manual && echo "You can now run 'configure'"